Post
/public/v1/pos/labor/punches/import
Import POS labor punches data for a specific location and business date
Security
HTTP
Type Bearer
Put ONLY your JWT Bearer token on textbox below!
Body parameters
object
locationId
string (uuid)
businessDate
string (date)
importMode
string | null
laborPunches
Array of object (R365.Sync.PosIngestion.Shared.Input.Labor.LaborPunchRecord) | null
object
dateWorked
string (date)
employeeId
string | null
jobCodeId
string | null
startTime
string (date-time)
endTime
string (date-time)
payRate
number (double)
tipDeclaredAmount
number (double)
payCode
integer (int32) | null
startDateTimeUtc
string (date-time) | null
endDateTimeUtc
string (date-time) | null
idempotencyKey
string | null
correlationId
string | null
clientTimestampUtc
string (date-time) | null
Responses
200
Labor punches data accepted for import
object
importId
integer (int64)
requestId
integer (int64)
isNewSession
boolean
correlationId
string | null
422
Unprocessable Content
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive